Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/app.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/app.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/app.py	(revision 11947)
@@ -51,15 +51,11 @@
         """Setup some hard-wired components.
 
-        Create local datacenter, containers for users, students and
+        Create local datacenter, containers for users and
         the like.
         """
-        from waeup.kofa.students.container import StudentsContainer
-        from waeup.kofa.hostels.container import HostelsContainer
 
         self['users'] = UsersContainer()
         self['datacenter'] = DataCenter()
-        self['students'] = StudentsContainer()
         self['configuration'] = ConfigurationContainer()
-        self['hostels'] = HostelsContainer()
         self['mandates'] = MandatesContainer()
         self._createPlugins()
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/authentication.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/authentication.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/authentication.py	(revision 11947)
@@ -388,5 +388,5 @@
 def handle_account_added(account, event):
     """When an account is added, the local owner role and the global
-    AcademicsOfficer role must be set.
+    ProductsOfficer role must be set.
     """
     # We set the local Owner role
@@ -394,9 +394,9 @@
     role_manager_account.assignRoleToPrincipal(
         'waeup.local.Owner', account.name)
-    # We set the global AcademicsOfficer role
+    # We set the global ProductsOfficer role
     site = grok.getSite()
     role_manager_site = IPrincipalRoleManager(site)
     role_manager_site.assignRoleToPrincipal(
-        'waeup.AcademicsOfficer', account.name)
+        'waeup.ProductsOfficer', account.name)
     # Finally we have to notify the user account that the local role
     # of the same object has changed
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/breadcrumbs.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/breadcrumbs.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/breadcrumbs.py	(revision 11947)
@@ -28,7 +28,5 @@
 from waeup.kofa.browser.interfaces import (
     IBreadcrumb, IBreadcrumbIgnorable, IBreadcrumbContainer, IKofaObject,
-    IUniversity, IFacultiesContainer, IUsersContainer, IDataCenter, IFaculty,
-    IDepartment, ICourse, ICertificate, ICoursesContainer, ICertificateCourse,
-    ICertificatesContainer
+    IUniversity, IUsersContainer, IDataCenter,
     )
 from waeup.kofa.reports import IReportsContainer
@@ -114,10 +112,4 @@
         return (self.context, 'administration')
 
-class FacultiesContainerBreadcrumb(Breadcrumb):
-    """A breadcrumb for faculty containers.
-    """
-    grok.context(IFacultiesContainer)
-    title = _(u'Academics')
-
 class AdministrationBreadcrumb(Breadcrumb):
     """A breadcrumb for administration areas of University instances.
@@ -174,48 +166,4 @@
     title = _(u'Student Data Exports')
     target = None
-
-class FacultyBreadcrumb(Breadcrumb):
-    """A breadcrumb for faculties.
-    """
-    grok.context(IFaculty)
-
-    @property
-    def title(self):
-        return self.context.longtitle
-
-class DepartmentBreadcrumb(FacultyBreadcrumb):
-    """A breadcrumb for departments.
-    """
-    grok.context(IDepartment)
-
-class CourseBreadcrumb(FacultyBreadcrumb):
-    """A breadcrumb for courses.
-    """
-    grok.context(ICourse)
-
-class CertificateBreadcrumb(FacultyBreadcrumb):
-    """A breadcrumb for certificates.
-    """
-    grok.context(ICertificate)
-
-class CoursesContainerBreadcrumb(Breadcrumb):
-    """ We don't want course container breadcrumbs.
-    """
-    grok.context(ICoursesContainer)
-    grok.implements(IBreadcrumbIgnorable)
-
-class CertificatesContainerBreadcrumb(Breadcrumb):
-    """ We don't want course container breadcrumbs.
-    """
-    grok.context(ICertificatesContainer)
-    grok.implements(IBreadcrumbIgnorable)
-
-class CertificateCourseBreadcrumb(Breadcrumb):
-    """ We don't want course container breadcrumbs.
-    """
-    grok.context(ICertificateCourse)
-    @property
-    def title(self):
-        return self.context.longtitle
 
 def getBreadcrumb(obj, viewname=None):
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/interfaces.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/interfaces.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/interfaces.py	(revision 11947)
@@ -23,8 +23,4 @@
     IKofaObject, IUniversity, IUsersContainer, IDataCenter, validate_email)
 from waeup.kofa.interfaces import MessageFactory as _
-from waeup.kofa.university.interfaces import (
-    IFacultiesContainer, IFaculty, IDepartment,
-    ICoursesContainer, ICourse, ICertificatesContainer,
-    ICertificate, ICertificateCourse)
 
 class IBreadcrumb(Interface):
@@ -177,5 +173,5 @@
         title = _(u'Unique Identifier'),
         description = _(
-            u'User Name, Student or Applicant Id, Matriculation or '
+            u'User Name, Customer Id, or '
             u'Registration Number'),
         required = True,
@@ -188,14 +184,2 @@
         constraint=validate_email,
         )
-
-class IStudentNavigationBase(IKofaObject):
-    """Objects that provide student navigation (whatever it is) should
-       implement this interface.
-    """
-    student = Attribute('''Some student object that has a '''
-                        ''' `display_fullname` attribute.''')
-
-class IApplicantBase(IKofaObject):
-    """Some Applicant.
-    """
-    display_fullname = Attribute('''Fullname.''')
Index: main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/layout.py
===================================================================
--- main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/layout.py	(revision 11946)
+++ main/waeup.kofa/branches/henrik-regista/src/waeup/kofa/browser/layout.py	(revision 11947)
@@ -35,6 +35,4 @@
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.utils.helpers import to_timezone
-from waeup.kofa.browser.interfaces import (
-    IStudentNavigationBase, IApplicantBase)
 from waeup.kofa.authentication import get_principal_role_manager
 
@@ -254,22 +252,9 @@
         return userid
 
-    def isStudent(self):
+    def isCustomer(self):
         usertype = getattr(self.request.principal, 'user_type', None)
         if not usertype:
             return False
-        return self.request.principal.user_type == 'student'
-
-    def isApplicant(self):
-        usertype = getattr(self.request.principal, 'user_type', None)
-        if not usertype:
-            return False
-        return self.request.principal.user_type == 'applicant'
-
-    def getStudentName(self):
-        """Return the student name.
-        """
-        if IStudentNavigationBase.providedBy(self.context):
-            return self.context.student.display_fullname
-        return
+        return self.request.principal.user_type == 'customer'
 
     def formatDatetime(self,datetimeobj):
@@ -301,5 +286,5 @@
 
     def render(self):
-        if self.isStudent() or self.isApplicant() or not self.isAuthenticated():
+        if self.isCustomer() or not self.isAuthenticated():
             return self.studenttemp.render(self)
         return self.stafftemp.render(self)
